// Functions //
function getTabTitle() {
    chrome.tabs.query({
        active: true,
        currentWindow: true
    }, (tabs) => {
        const tabTitle = tabs[0]?.title;
        const tabTitleElement = document.getElementById('tab-title');
        if (tabTitleElement) {
            tabTitleElement.textContent = tabTitle;
        }
    });
}


function clickButton() {
    document.getElementById("click-button").addEventListener("click", () => {
        alert("Button clicked!");
    });

}

document.addEventListener('DOMContentLoaded', () => {
    getTabTitle();
    clickButton();
});